<?php
/**
 * Auctions for WooCommerce Updates
 *
 * Functions for updating data, used by the background updater.
 *
 * @package WooCommerce/Functions
 * @version 2.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function afw_update_212_add_datebase_index() {

	global $wpdb;
	if ( version_compare( get_site_option( 'auctions_for_woocommerce_database_version' ), '3', '<' ) ) {
		$wpdb->hide_errors();
		$wpdb->query('CREATE INDEX auction_id ON ' . $wpdb->prefix . 'auctions_for_woocommerce_log (auction_id)' );
		$wpdb->query ('CREATE INDEX userid ON ' . $wpdb->prefix . 'auctions_for_woocommerce_log (userid)') ;
		$wpdb->query('CREATE INDEX auction_id ON ' . $wpdb->prefix . 'auctions_for_woocommerce_seats (auction_id)' );
		$wpdb->query ('CREATE INDEX user_id ON ' . $wpdb->prefix . 'auctions_for_woocommerce_seats (user_id)') ;
	}

}
