<?php
/**
 * The template for displaying auctions_recent_bids shortcode.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/shortcodes/auctions-recent-bids.php.
 *
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<table class="auctions_activity">
	<tr>
		<th><?php esc_html_e( 'Date', 'auctions-for-woocommerce' ); ?></th>
		<th><?php esc_html_e( 'Auction', 'auctions-for-woocommerce' ); ?></th>
		<?php if ( 'yes' === $atts['show_usernames'] ) { ?>
			<th><?php esc_html_e( 'Username', 'auctions-for-woocommerce' ); ?></th>
		<?php } ?>
		<th><?php esc_html_e( 'Bid', 'auctions-for-woocommerce' ); ?></th>
		<th><?php esc_html_e( 'Status', 'auctions-for-woocommerce' ); ?></th>
	</tr>
<?php
foreach ( $auction_activity as $value ) {
	if ( get_post_status( $value->auction_id ) === 'publish' ) {
	$class   = '';
	$product = wc_get_product( $value->auction_id );
		if ( $product && $product->is_type( 'auction' ) ) {
			if ( $product->is_closed() ) {
				$class .= 'closed ';
			}

			if ( $product->get_auction_current_bider() === $user_id && ! $product->is_sealed() ) {
				$class .= 'winning ';
			}

			if ( $product->get_auction_current_bider() === $user_id && ! $product->is_reserve_met() ) {
				$class .= 'reserved ';
			}

			if ( strtotime( $product->get_auction_relisted() ) > strtotime( $value->date ) ) {
				$class .= 'relisted ';
			}
			?>
				<tr class="<?php echo esc_attr( $class ); ?>">
				<td><?php echo esc_html( date_i18n( get_option( 'date_format' ), strtotime( $value->date ) ) . ' ' . date_i18n( get_option( 'time_format' ), strtotime( $value->date ) ) ); ?></td>
				<td><a href="<?php echo esc_url( get_permalink( $value->auction_id ) ); ?>"><?php echo esc_html( get_the_title( $value->auction_id ) ); ?></a></td>

				<?php if ( 'yes' === $atts['show_usernames'] ) { ?>
					<td>
					<?php
					$userdata1 = get_userdata( $value->userid );
					if ( $userdata1 ) {
						echo esc_attr( $userdata1->user_nicename );
					} else {
						esc_html_e( 'n/a', 'auctions-for-woocommerce' );
					}
					?>
					</td>
				<?php
				}
				?>
				<td><?php echo wp_kses_post( wc_price( $value->bid ) ); ?></td>
				<td><?php wp_kses_post( $product->get_price_html() ); ?></td>
				</tr>
			<?php
		}
	}
}
?>
</table>
