<?php
/**
 * Auction seated info
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( $product->get_type() === 'auction' && is_auction_seated( $product->get_id() ) ) {
	$seat_product_id = get_post_meta( $product->get_id(), '_auction_seated_product_id', true);
	$seat_product    = wc_get_product( $seat_product_id );
	$seats_left      = get_auction_seats_left( $product->get_id() );
	$max_seats       = $seat_product->get_total_sales() + $seats_left;
	?>
<p class="seated-auction-info"><?php esc_html_e('This auction is seated only' , 'auctions-for-woocommerce'); ?></p>
<p class="seated-auction-extra-info"><?php esc_html_e('Only user that have buy seat may participate in this auction' , 'auctions-for-woocommerce'); ?>
<?php if ( $seats_left  > 0 && ! has_user_seat_for_auction() ) { ?>
	<span class="saeated-auctins-buy">
		<?php
		// translators: 1) url for seat product
		printf( wp_kses_post( __('<a href="%s">Click here to buy seat for this auction!</a>' , 'auctions-for-woocommerce') ), esc_url( get_permalink( $seat_product_id ) )  );
		?>
	</span>
	<?php } ?>
</p>


<?php
}
